import { IChromosome, IPopulation } from '..';
export declare abstract class PopulationBase implements IPopulation {
    private readonly _size;
    private readonly _adamChromosome;
    private _chromosomes;
    private _generation;
    protected constructor(_size: number, _adamChromosome: IChromosome);
    get chromosomes(): Array<IChromosome>;
    get size(): number;
    init(): void;
    protected performInit(): void;
    update(chromosomes: Array<IChromosome>): Promise<void>;
}
